Page MenuHomePhabricator

Determine if creation of Italian Wikipedia sitemaps increased traffic from search engines
Closed, ResolvedPublic

Description

For a few days in July, all traffic that went to the Italian Wikipedia was redirected to a page protesting potential copyright changes in the European Union. After the redirect ended, it was observed that there was still a nonnegligible amount of traffic going to the redirect page, with almost a million page views on 11th July, a full six days after the redirect was turned off; see the page view statistics for the redirect page. In the end, a sitemap was created and uploaded for the Italian Wikipedia to resolve this problem (T199252).

It is believed that deploying sitemaps would improve our search engine optimisation (SEO) and increase our page views that come from search engines (T198965), but it's an untested hypothesis. The above may actually provide us with a unique opportunity to test whether sitemap do positively affect traffic.

This task is to determine whether the deployment of the sitemap on 10th August caused a statistically significant increase in traffic referred from search engines to the Italian Wikipedia. We'll need to not count any page views that happened whilst the redirect was active, whilst the problem with the redirect still existed, and probably even a few days after the sitemap was deployed whilst Google was still reading it in.

Timeline:

  • 3rd July: the Italian Wikipedia was "blacked out", and all traffic to the Italian Wikipedia was redirected to https://it.wikipedia.org/wiki/Wikipedia:Comunicato_3_luglio_2018
  • 5th July: the black out ended, and the redirect was turned off
  • 10th July: report comes in that search engines are still linking to the blackout notice (T199252)
  • 10th August: sitemap is created for the Italian Wikipedia, and starts being read in by Google (also T199252)

Event Timeline

Deskana created this task.Aug 23 2018, 4:32 PM
Deskana triaged this task as High priority.Aug 23 2018, 5:14 PM
Deskana moved this task from Tag to 2018 SEO project outcomes on the SEO board.
nettrom_WMF moved this task from Triage to Next Up on the Product-Analytics board.Aug 23 2018, 8:10 PM

Note: probably better to analyze the proportion of traffic referred from Google as opposed to absolute traffic -- that should help to weed out seasonality or other factors.

Nuria added a subscriber: Nuria.Aug 29 2018, 7:01 PM

Just took a brief look after a conversation with Ian and while i see the pageview saike on the 3rd on both internal and external referrers I cannot see anything major in terms of difference in referrer data (brief look, no accounting for seasonality or country splits)

Tbayer assigned this task to mpopov.Aug 30 2018, 8:15 PM
mpopov moved this task from Next Up to Doing on the Product-Analytics board.Sep 12 2018, 4:16 PM
mpopov closed this task as Resolved.Oct 10 2018, 3:42 PM

Report up on Commons: https://commons.wikimedia.org/wiki/File:Impact_of_sitemaps_on_Italian_Wikipedia_search_engine-referred_traffic.pdf

tl;dr: there was no statistically significant effect of sitemaps but there was also the unmodeled artifact of the redirect so further tests will need to be done